<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: WeaponStartAction Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d0e/a07910.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">WeaponStartAction Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aacca6bde1ac371107e7df8a85c8e1cbe"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/a07910.html#aacca6bde1ac371107e7df8a85c8e1cbe">IsWaitingForActionFinish</a> ()</td></tr>
<tr class="separator:aacca6bde1ac371107e7df8a85c8e1cbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ac65caa10fe825bb98e0e867d3dac72"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/a07910.html#a1ac65caa10fe825bb98e0e867d3dac72">OnEntry</a> (WeaponEventBase e)</td></tr>
<tr class="separator:a1ac65caa10fe825bb98e0e867d3dac72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae25262ef7c651d42e3d39feaa55df457"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/a07910.html#ae25262ef7c651d42e3d39feaa55df457">OnUpdate</a> (float dt)</td></tr>
<tr class="separator:ae25262ef7c651d42e3d39feaa55df457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8f4f9e97f87ea8bf04bd44f5546ffdb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/a07910.html#ab8f4f9e97f87ea8bf04bd44f5546ffdb">OnExit</a> (WeaponEventBase e)</td></tr>
<tr class="separator:ab8f4f9e97f87ea8bf04bd44f5546ffdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacca6bde1ac371107e7df8a85c8e1cbe"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/a07910.html#aacca6bde1ac371107e7df8a85c8e1cbe">IsWaitingForActionFinish</a> ()</td></tr>
<tr class="separator:aacca6bde1ac371107e7df8a85c8e1cbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ac65caa10fe825bb98e0e867d3dac72"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/a07910.html#a1ac65caa10fe825bb98e0e867d3dac72">OnEntry</a> (WeaponEventBase e)</td></tr>
<tr class="separator:a1ac65caa10fe825bb98e0e867d3dac72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae25262ef7c651d42e3d39feaa55df457"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/a07910.html#ae25262ef7c651d42e3d39feaa55df457">OnUpdate</a> (float dt)</td></tr>
<tr class="separator:ae25262ef7c651d42e3d39feaa55df457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8f4f9e97f87ea8bf04bd44f5546ffdb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/a07910.html#ab8f4f9e97f87ea8bf04bd44f5546ffdb">OnExit</a> (WeaponEventBase e)</td></tr>
<tr class="separator:ab8f4f9e97f87ea8bf04bd44f5546ffdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a9086983febed0023a94832ef64944c7e"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0e/a07910.html#a9086983febed0023a94832ef64944c7e">m_dtAccumulator</a></td></tr>
<tr class="separator:a9086983febed0023a94832ef64944c7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/de3/a03326_source.html#l00063">63</a> of file <a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aacca6bde1ac371107e7df8a85c8e1cbe" name="aacca6bde1ac371107e7df8a85c8e1cbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacca6bde1ac371107e7df8a85c8e1cbe">&#9670;&#160;</a></span>IsWaitingForActionFinish() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool WeaponStartAction::IsWaitingForActionFinish </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de3/a03326_source.html#l00067">67</a> of file <a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a>.</p>

</div>
</div>
<a id="aacca6bde1ac371107e7df8a85c8e1cbe" name="aacca6bde1ac371107e7df8a85c8e1cbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacca6bde1ac371107e7df8a85c8e1cbe">&#9670;&#160;</a></span>IsWaitingForActionFinish() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool WeaponStartAction::IsWaitingForActionFinish </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de3/a03326_source.html#l00114">114</a> of file <a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a>.</p>

</div>
</div>
<a id="a1ac65caa10fe825bb98e0e867d3dac72" name="a1ac65caa10fe825bb98e0e867d3dac72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ac65caa10fe825bb98e0e867d3dac72">&#9670;&#160;</a></span>OnEntry() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponStartAction::OnEntry </td>
          <td>(</td>
          <td class="paramtype">WeaponEventBase&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de3/a03326_source.html#l00069">69</a> of file <a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a>.</p>

</div>
</div>
<a id="a1ac65caa10fe825bb98e0e867d3dac72" name="a1ac65caa10fe825bb98e0e867d3dac72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ac65caa10fe825bb98e0e867d3dac72">&#9670;&#160;</a></span>OnEntry() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponStartAction::OnEntry </td>
          <td>(</td>
          <td class="paramtype">WeaponEventBase&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de3/a03326_source.html#l00116">116</a> of file <a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a>.</p>

</div>
</div>
<a id="ab8f4f9e97f87ea8bf04bd44f5546ffdb" name="ab8f4f9e97f87ea8bf04bd44f5546ffdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8f4f9e97f87ea8bf04bd44f5546ffdb">&#9670;&#160;</a></span>OnExit() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponStartAction::OnExit </td>
          <td>(</td>
          <td class="paramtype">WeaponEventBase&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de3/a03326_source.html#l00103">103</a> of file <a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a>.</p>

</div>
</div>
<a id="ab8f4f9e97f87ea8bf04bd44f5546ffdb" name="ab8f4f9e97f87ea8bf04bd44f5546ffdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8f4f9e97f87ea8bf04bd44f5546ffdb">&#9670;&#160;</a></span>OnExit() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponStartAction::OnExit </td>
          <td>(</td>
          <td class="paramtype">WeaponEventBase&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de3/a03326_source.html#l00152">152</a> of file <a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a>.</p>

</div>
</div>
<a id="ae25262ef7c651d42e3d39feaa55df457" name="ae25262ef7c651d42e3d39feaa55df457"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae25262ef7c651d42e3d39feaa55df457">&#9670;&#160;</a></span>OnUpdate() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponStartAction::OnUpdate </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>dt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de3/a03326_source.html#l00089">89</a> of file <a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a>.</p>

</div>
</div>
<a id="ae25262ef7c651d42e3d39feaa55df457" name="ae25262ef7c651d42e3d39feaa55df457"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae25262ef7c651d42e3d39feaa55df457">&#9670;&#160;</a></span>OnUpdate() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponStartAction::OnUpdate </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>dt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de3/a03326_source.html#l00138">138</a> of file <a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a9086983febed0023a94832ef64944c7e" name="a9086983febed0023a94832ef64944c7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9086983febed0023a94832ef64944c7e">&#9670;&#160;</a></span>m_dtAccumulator</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float WeaponStartAction::m_dtAccumulator</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/de3/a03326_source.html#l00065">65</a> of file <a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Weapons/Scripts/4_world/dayzexpansion_weapons/classes/weapons/<a class="el" href="../../dc/de3/a03326_source.html">expansionweaponfire.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d0e/a07910.html">WeaponStartAction</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
